Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.resource.adapter.jms.inflow
Interface DLQHandler

All Known Implementing Classes:
  AbstractDLQHandler

public interface DLQHandler

An interface for DLQ Handling

Version:
  $Revision: 1.1 $
Author:
  Adrian Brock

Field Summary
`static String` | `JBOSS_ORIG_DESTINATION` JMS property name holding original destination.
`static String` | `JBOSS_ORIG_MESSAGEID` JMS property name holding original JMS message id.

Method Summary
`boolean` | `handleRedeliveredMessage(javax.jms.Message msg)` Check whether the DLQ should handle the message
`void` | `messageDelivered(javax.jms.Message msg)` Notification that the message was delivered
`void` | `setup(JmsActivation activation, Context ctx)` Set up the DLQ
`void` | `teardown()` Tear down the DLQ

Field Detail

### JBOSS_ORIG_DESTINATION

    public static final String JBOSS_ORIG_DESTINATION

  JMS property name holding original destination.

  See Also:
    Constant Field Values

### JBOSS_ORIG_MESSAGEID

    public static final String JBOSS_ORIG_MESSAGEID

  JMS property name holding original JMS message id.

  See Also:
    Constant Field Values

Method Detail

### setup

    public void setup(JmsActivation activation,
                      Context ctx)
               throws Exception

  Set up the DLQ

  Parameters:
    `activation` - the activation
  Throws:
    `Exception` - for any error

### teardown

    public void teardown()

  Tear down the DLQ

### handleRedeliveredMessage

    public boolean handleRedeliveredMessage(javax.jms.Message msg)

  Check whether the DLQ should handle the message

  Returns:
    true if the message is handled and should not be delivered

### messageDelivered

    public void messageDelivered(javax.jms.Message msg)

  Notification that the message was delivered

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.